Package org.apache.sling.testing.mock.sling.servlet

# Class MockSlingHttpServletRequest

java.lang.Object
org.apache.felix.http.javaxwrappers.ServletRequestWrapper
org.apache.felix.http.javaxwrappers.HttpServletRequestWrapper
org.apache.sling.api.wrappers.JakartaToJavaxRequestWrapper
org.apache.sling.servlethelpers.MockSlingHttpServletRequest
org.apache.sling.testing.mock.sling.servlet.MockSlingHttpServletRequest

All Implemented Interfaces:
  `javax.servlet.http.HttpServletRequest`, `javax.servlet.ServletRequest`, `org.apache.sling.api.adapter.Adaptable`, `org.apache.sling.api.SlingHttpServletRequest`

@Deprecated(since="3.2.0") public class MockSlingHttpServletRequest extends org.apache.sling.servlethelpers.MockSlingHttpServletRequest
Deprecated.
Use `MockSlingJakartaHttpServletRequest` instead.
Mock `SlingHttpServletRequest` implementation.

## Field Summary

### Fields inherited from class org.apache.sling.servlethelpers.MockSlingHttpServletRequest

`EMPTY_RESOURCE_BUNDLE`

### Fields inherited from interface javax.servlet.http.HttpServletRequest

`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

## Constructor Summary

Constructors
Constructor
Description
`MockSlingHttpServletRequest(@NotNull org.apache.sling.api.resource.ResourceResolver resourceResolver, @NotNull org.osgi.framework.BundleContext bundleContext)`
Deprecated.
`MockSlingHttpServletRequest(@NotNull MockSlingJakartaHttpServletRequest jakartaRequest)`
Deprecated.
`MockSlingHttpServletRequest(@NotNull org.osgi.framework.BundleContext bundleContext)`
Deprecated.
Instantiate with default resource resolver

## Method Summary

Modifier and Type
Method
Description
`protected @NotNull MockHttpSession`
`newMockHttpSession()`
Deprecated.
`protected @NotNull MockRequestPathInfo`
`newMockRequestPathInfo()`
Deprecated.

### Methods inherited from class org.apache.sling.servlethelpers.MockSlingHttpServletRequest

`adaptTo, addCookie, addDateHeader, addHeader, addIntHeader, addPart, addRequestParameter, addRequestParameter, addRequestParameter, authenticate, getRequestDispatcher, getRequestDispatcher, getRequestDispatcher, getRequestDispatcher, getRequestPathInfo, getSession, getSession, setAuthType, setContent, setContentType, setContextPath, setDateHeader, setHeader, setIntHeader, setLocale, setMethod, setParameterMap, setPathInfo, setQueryString, setRemoteAddr, setRemoteHost, setRemotePort, setRemoteUser, setRequestDispatcherFactory, setResource, setResponseContentType, setScheme, setServerName, setServerPort, setServletPath`

### Methods inherited from class org.apache.sling.api.wrappers.JakartaToJavaxRequestWrapper

`getCookie, getRequestParameter, getRequestParameterList, getRequestParameterMap, getRequestParameters, getRequestProgressTracker, getResource, getResourceBundle, getResourceBundle, getResourceResolver, getResponseContentType, getResponseContentTypes, toJavaxRequest, toJavaxRequest, toJavaxRequest`

### Methods inherited from class org.apache.felix.http.javaxwrappers.HttpServletRequestWrapper

`changeSessionId, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getHttpServletMapping, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getTrailerFields, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isTrailerFieldsReady, isUserInRole, login, logout, newPushBuilder, upgrade`

### Methods inherited from class org.apache.felix.http.javaxwrappers.ServletRequestWrapper

`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getScheme, getServerName, getServerPort, getServletContext, getTranslatedAttributeName, getWrapper, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.http.HttpServletRequest

`changeSessionId, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getHttpServletMapping, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getTrailerFields, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isTrailerFieldsReady, isUserInRole, login, logout, newPushBuilder, upgrade`

### Methods inherited from interface javax.servlet.ServletRequest

`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

### Methods inherited from interface org.apache.sling.api.SlingHttpServletRequest

`getAuthType, getRemoteUser, getUserPrincipal`

## Constructor Details

### MockSlingHttpServletRequest

public MockSlingHttpServletRequest(@NotNull @NotNull org.osgi.framework.BundleContext bundleContext)
Deprecated.
Instantiate with default resource resolver

Parameters:
  `bundleContext` - Bundle context

### MockSlingHttpServletRequest

public MockSlingHttpServletRequest(@NotNull @NotNull org.apache.sling.api.resource.ResourceResolver resourceResolver, @NotNull @NotNull org.osgi.framework.BundleContext bundleContext)
Deprecated.

Parameters:
  `resourceResolver` - Resource resolver
  `bundleContext` - Bundle context

### MockSlingHttpServletRequest

public MockSlingHttpServletRequest(@NotNull @NotNull MockSlingJakartaHttpServletRequest jakartaRequest)
Deprecated.

Parameters:
  `jakartaRequest` - the jakarta request to wrap

## Method Details

### newMockRequestPathInfo

@NotNull protected @NotNull MockRequestPathInfo newMockRequestPathInfo()
Deprecated.

Overrides:
  `newMockRequestPathInfo` in class `org.apache.sling.servlethelpers.MockSlingHttpServletRequest`

### newMockHttpSession

@NotNull protected @NotNull MockHttpSession newMockHttpSession()
Deprecated.

Overrides:
  `newMockHttpSession` in class `org.apache.sling.servlethelpers.MockSlingHttpServletRequest`